%define rpm_macros_dir %{_sysconfdir}/rpm
%if 0%{?fedora}
%define rpm_macros_dir %{_rpmconfigdir}/macros.d
%endif

Name:		nde-lib
Version:	0.0.1
Release:	23.1%{?dist}
License:	LGPLv2
Summary:	Core shared library for Nde desktop suite
Url:		http://www.gd-linux.com
Source0:    %{name}-%{version}.tar.gz
Source1:	macros.nde

BuildRequires: %{?fedora:cmake}%{!?fedora:cmake3} >= 3.0
BuildRequires: libXScrnSaver-devel
BuildRequires: nde-build-tools
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5X11Extras)
BuildRequires: pkgconfig(libstatgrab)
BuildRequires: nde-qtxdg-devel
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: cmake(PolkitQt5-1)
Requires: xdg-utils >= 1.1.0
Requires: nde-qtxdg

%description
Core utility library for all NDE components

%package devel
Summary:	Devel files for nde-lib
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:       nde-build-tools >= 0.0.1

Requires: cmake3 >= 3.3


%description devel
Nde libraries for development.

%package l10n
Summary:        Translations for nde-lib
Requires:       nde-lib
Obsoletes:      nde-l10n < 0.14.0

%description l10n
This package provides translations for the nde-lib package.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
	%{?fedora:%{cmake}}%{!?fedora:%{cmake3}} -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# RPM macros
install -p -m0644 -D %{SOURCE1} %{buildroot}%{rpm_macros_dir}/macros.nde
sed -i -e "s|@@CMAKE_VERSION@@|%{version}|" %{buildroot}%{rpm_macros_dir}/macros.nde
touch -r %{SOURCE1} %{buildroot}%{rpm_macros_dir}/macros.nde

%ldconfig_scriptlets

%find_lang nde-lib --with-qt

%files
%doc AUTHORS COPYING
%{_libdir}/libnde.so.0*
%{_bindir}/nde-backlight_backend
%{_datadir}/nde/power.conf
%{_datadir}/polkit-1/actions/org.nde.backlight.pkexec.policy

%files devel
%{_libdir}/libnde.so
%{_includedir}/nde/
%{_datadir}/cmake/nde/
%{_libdir}/pkgconfig/nde.pc
%{rpm_macros_dir}/macros.nde

%files l10n -f %{name}.lang
%license COPYING
%doc AUTHORS README.md
%dir %{_datadir}/nde/translations/%{name}

%changelog
* Sat Dec 28 2024 He Leilei <he.leilei@gd-linux.com>  - 0.0.1-23.1
- fix build error

* Thu Oct 21 2021 He Leilei <he.leilei@zte.com.cn>  - 0.0.1-23
- NdeTheme添加壁纸获取接口

* Thu Oct 21 2021 He Leilei <he.leilei@zte.com.cn>  - 0.0.1-22
- singalapplication的应用隐藏后，再次点击直接弹出原来窗口。

* Mon Sep 6 2021 He Leilei <he.leilei@zte.com.cn>  - 0.0.1-21
- 通知窗口默认使用qApp->applicationName获取应用名, 其值为空时再使用qAppName()接口

* Wed Aug 25 2021 Wu Shangmin <wu.shangmin@zte.com.cn>  - 0.0.1-20
- 回退上版本代码

* Tue Aug 24 2021 <wu.shangmin@zte.com.cn>  - 0.0.1-19
- 添加通知窗口应用名的设置

* Thu Jul 29 2021 <he.leilei@zte.com.cn> - 0.0.1-18
- Nde应用增加与主题相关的属性，通过（qApp.property()）获取

* Tue Jul 27 2021 <he.leilei@zte.com.cn> - 0.0.1-17
- 增加主题颜色配置读取，删除了主题颜色设置获取接口。

* Thu Jul 15 2021 <he.leilei@zte.com.cn> - 0.0.1-16
- 增加主题色设置参数接口

* Tue Jul 13 2021 <he.leilei@zte.com.cn> - 0.0.1-15
- 添加主题色设置参数接口

* Fri Apr 16 2021 <lv.kaiyi@zte.com.cn> - 0.0.1-14
- 锁屏前增加设置锁屏参数

* Tue Jan 5 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-13
- 点击切换后增加延时防止锁屏未完成

* Tue Dec 22 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-12
- 切换用户前先锁屏

* Tue Dec 15 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-11
- siginals修改为Q_SIGINALS 

* Mon Nov 16 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.0.1-10
- 修改signals,slots为Q_SIGNALS,Q_SLOTS

* Wed Nov 4 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-9
- 注销时关闭会话

* Thu Sep 10 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-6
- 添加汉化

* Wed Aug 12 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-4
- 添加切换到登录程序接口

* Wed Jul 08 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-3
- 去掉原生suspend离开系统提示框

* Thu Jul 02 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-2
- 去掉原生离开系统提示框

* Wed May 13 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- 组件重命名(984)

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

